> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Create SKU

POST https://api.webflow.com/sites/{site_id}/products/{product_id}/skus
Content-Type: application/json

Create additional SKUs to cover every variant of your Product. The Default SKU already counts as one of the variants.

Creating additional SKUs will set the product type to `Advanced` for the product associated with the SKUs. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.


Reference: https://developers.webflow.com/data/v1.0.0/reference/ecommerce/products-sk-us/create-skus

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `product_id` (string, required) — Unique identifier for a Product

### Headers

- `Accept-Version` (string, optional) — The API version

### Body (application/json)

This endpoint expects an object.

- `skus` (list of SKU, optional) — An array of the SKU data your are adding

## Response

### 200

Request was successful

- `skus` (list of SKU, optional)

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### SKU

The SKU object

- `_id` (string, required) — Unique identifier for collection
- `name` (string, required) — Name given to Collection
- `slug` (string, required) — Slug of Collection in Site URL structure
- `fields` (SKUField, required) — Fields in your SKU object
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “sku” if the Collection is called “SKU”)

### SKUField

Fields in your SKU object

- `slug` (string, required, default: post-body) — Slug of the SKU
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `price` (SkuFieldPrice, required) — price of SKU
- `id` (string, optional) — Unique identifier for the SKU
- `name` (string, optional, default: Cloak Of Invisibility Color: Obsidian Black) — SKU name

### SkuFieldPrice

price of SKU

- `value` (double, required, default: 2000) — Price of SKU
- `unit` (string, required, default: USD) — Currency of Item

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "skus": [
    {
      "_id": "5e8785855617d73f34627a93",
      "name": "Cloak Of Invisibility Color: Smoke Grey",
      "slug": "cloak-of-invisibility-color-smoke-grey",
      "fields": {
        "slug": "post-body",
        "_archived": false,
        "_draft": false,
        "price": {
          "value": 2000,
          "unit": "USD"
        }
      },
      "_archived": false,
      "_draft": false,
      "price": {
        "unit": "USD",
        "value": 120000
      },
      "more-images": [],
      "download-files": [
        {
          "id": "5ebb1945c3244c2c6ae18822",
          "name": "The modern web design process - Webflow Ebook.pdf",
          "url": "https://dropbox.com/files/modern-web-design-process.pdf"
        }
      ],
      "sku-values": {
        "a37a7991f7ca1be0d349a805a2bddb5b": "c92a465a1298c95fd1cd7f4c1c96c2ba"
      },
      "width": 56,
      "length": 0.3,
      "height": 72,
      "weight": 24,
      "main-image": {
        "fileId": "5e8512181ae993035b15f315",
        "file": {
          "_id": "5e8512181ae993035b15f315",
          "variants": [
            {
              "_id": "5e85121b1ae993035b15f316",
              "origFileName": "external-content.duckduckgo.com-p-500.jpeg",
              "fileName": "5e8512181ae993035b15f315_external-content.duckduckgo.com-p-500.jpeg",
              "format": "jpeg",
              "size": 54068,
              "width": 500,
              "quality": 100,
              "s3Url": "https://s3.amazonaws.com/webflow-dev-assets/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com-p-500.jpeg"
            }
          ],
          "origFileName": "invisibility_cloak.jpg",
          "fileName": "5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
          "fileHash": "860b1b99ce90aa6c175bfcd9fd59fd42",
          "s3Url": "https://s3.amazonaws.com/webflow-dev-assets/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
          "mimeType": "image/jpeg",
          "size": 192263,
          "width": 550,
          "height": 550,
          "database": "5e8402eb8a402e354bd469bb",
          "createdOn": "2020-04-01T22:13:44.889Z",
          "__v": 1,
          "updatedOn": "2020-04-01T22:13:59.777Z"
        },
        "fileSize": 192263,
        "url": "https://dev-assets.website-files.com/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
        "alt": null
      },
      "product": "5e8518516e147040726cc415",
      "updated-on": "2020-04-03T18:50:45.947Z",
      "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
      "created-on": "2020-04-03T18:50:45.947Z",
      "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
      "published-on": null,
      "published-by": null,
      "_cid": "5e8402eb8a402e354bd469be"
    },
    {
      "_id": "5e8785855617d73f34627a94",
      "name": "Cloak Of Invisibility Color: Forest Green",
      "slug": "cloak-of-invisibility-color-forest-green",
      "fields": {
        "slug": "post-body",
        "_archived": false,
        "_draft": false,
        "price": {
          "value": 2000,
          "unit": "USD"
        }
      },
      "_archived": false,
      "_draft": false,
      "price": {
        "unit": "USD",
        "value": 120000
      },
      "more-images": [],
      "download-files": [
        {
          "id": "5ebb1945c3244c2c6ae18823",
          "name": "The modern web design process - Webflow Ebook.pdf",
          "url": "https://dropbox.com/files/modern-web-design-process.pdf"
        }
      ],
      "sku-values": {
        "a37a7991f7ca1be0d349a805a2bddb5b": "ef9511c0b56cc11ff47c5669f65030b4"
      },
      "width": 56,
      "length": 0.3,
      "height": 72,
      "weight": 24,
      "main-image": {
        "fileId": "5e8512181ae993035b15f315",
        "file": {
          "_id": "5e8512181ae993035b15f315",
          "variants": [
            {
              "_id": "5e85121b1ae993035b15f316",
              "origFileName": "external-content.duckduckgo.com-p-500.jpeg",
              "fileName": "5e8512181ae993035b15f315_external-content.duckduckgo.com-p-500.jpeg",
              "format": "jpeg",
              "size": 54068,
              "width": 500,
              "quality": 100,
              "s3Url": "https://s3.amazonaws.com/webflow-dev-assets/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com-p-500.jpeg"
            }
          ],
          "origFileName": "invisibility_cloak.jpg",
          "fileName": "5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
          "fileHash": "860b1b99ce90aa6c175bfcd9fd59fd42",
          "s3Url": "https://s3.amazonaws.com/webflow-dev-assets/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
          "mimeType": "image/jpeg",
          "size": 192263,
          "width": 550,
          "height": 550,
          "database": "5e8402eb8a402e354bd469bb",
          "createdOn": "2020-04-01T22:13:44.889Z",
          "__v": 1,
          "updatedOn": "2020-04-01T22:13:59.777Z"
        },
        "fileSize": 192263,
        "url": "https://dev-assets.website-files.com/5e8402eb8a402e354bd469bb/5e8512181ae993035b15f315_external-content.duckduckgo.com.jpg",
        "alt": null
      },
      "product": "5e8518516e147040726cc415",
      "updated-on": "2020-04-03T18:50:45.949Z",
      "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
      "created-on": "2020-04-03T18:50:45.949Z",
      "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
      "published-on": null,
      "published-by": null,
      "_cid": "5e8402eb8a402e354bd469be"
    }
  ]
}
```

**SDK Code**

```python Products & SKUs_create-skus_example
import requests

url = "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus"

payload = {}
headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Products & SKUs_create-skus_example
const url = 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus';
const options = {
  method: 'POST',
  headers: {
    'Accept-Version': '1.0.0',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products & SKUs_create-skus_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products & SKUs_create-skus_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Products & SKUs_create-skus_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Products & SKUs_create-skus_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus', [
  'body' => '{}',
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Products & SKUs_create-skus_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Products & SKUs_create-skus_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```